## ThunarLocationButton ThunarLocationButton |

## Functions

GtkWidget * | thunar_location_button_new ()
ThunarFile * | thunar_location_button_get_file ()
void | thunar_location_button_set_file ()

## Properties

ThunarFile * | file | Read / Write

## Signals

void | gone | Run Last
void | location-button-clicked | Run Last

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkToggleButton
                                ╰── ThunarLocationButton

## Description

## Functions

### thunar_location_button_new ()

    GtkWidget *
    thunar_location_button_new (void);

Allocates a new ThunarLocationButton instance.

#### Returns

the newly allocated ThunarLocationButton.

### thunar_location_button_get_file ()

    ThunarFile *
    thunar_location_button_get_file (ThunarLocationButton *location_button);

Returns the ThunarFile for `location_button` .

#### Parameters

location_button | a ThunarLocationButton. |

#### Returns

the ThunarFile for `location_button` .

### thunar_location_button_set_file ()

    void
    thunar_location_button_set_file (ThunarLocationButton *location_button,
                                     ThunarFile *file);

Sets the file for `location_button` to `file` .

#### Parameters

location_button | a ThunarLocationButton. |
file | a ThunarFile or `NULL`. |

## Property Details

### The `“file”` property

      “file”                     ThunarFile *

The ThunarFile represented by this location button.

Owner: ThunarLocationButton

Flags: Read / Write

## Signal Details

### The `“gone”` signal

    void
    user_function (ThunarLocationButton *location_button,
                   gpointer              user_data)

Emitted by `location_button` when the file associated with the button is deleted.

#### Parameters

location_button | a ThunarLocationButton. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“location-button-clicked”` signal

    void
    user_function (ThunarLocationButton *location_button,
                   gboolean              arg1,
                   gpointer              user_data)

Emitted by `location_button` when the user clicks on the `location_button` or `gtk_button_clicked()` is called.

#### Parameters

location_button | a ThunarLocationButton. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last